/* TestPassword.java
 *
 * -----------------------------------------------------------------
 * Licensed Materials - Property of IBM
 * 5724Q99
 * (C) Copyright IBM Corp. 1998, 2006
 * All Rights Reserved
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 * -----------------------------------------------------------------
 * $Id: //depot/osd511/src/packages/ibmee/javaapi/examples/TestPassword.java#1 $
 */
package examples;

import java.net.InetAddress;
import java.net.UnknownHostException;

import com.ibm.rbapi.RBServer;
import com.ibm.rbapi.RBServerConfig;
import com.ibm.rbapi.RBServerException;

public class TestPassword {

    public static void main(String[] args) 
    throws UnknownHostException, RBServerException
    {
        if (args.length < 2) {
            System.out.println("usage: TestPassword <ip> <port>");
            return;
        }
        System.out.println("Contacting server...");
        InetAddress ip = InetAddress.getByName(args[0]);
        int port = Integer.parseInt(args[1]);
        RBServer rbServer = null;
        try {
          rbServer = new RBServer(ip, port, "", java.util.logging.Level.WARNING); 
        } catch (com.ibm.rbapi.RBServerException ee) {
          System.out.println("Cannot contact server, please check IP, port, firewalls, etc.");
          System.exit(1);
        }
        try {
          rbServer.getStatus();
          System.out.println("Connected without password! are we listed in APITrusted?");
          System.exit(1);
        } catch (com.ibm.rbapi.RBServerException e) {
          System.out.println("Could not connect without password.");
          System.exit(0);
        }
    }
}
