/* TestRBLogFileLines.java
 *
 * -----------------------------------------------------------------
 * Licensed Materials - Property of IBM
 * 5724Q99
 * (C) Copyright IBM Corp. 1998, 2008
 * All Rights Reserved
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 * -----------------------------------------------------------------
 */
package examples;

import java.net.InetAddress;
import java.net.UnknownHostException;

import com.ibm.rbapi.RBLogFileLines;
import com.ibm.rbapi.RBObjectNotFoundException;
import com.ibm.rbapi.RBServer;
import com.ibm.rbapi.RBServerException;

public class TestRBLogFileLines {

    public static void main(String[] args) 
    throws UnknownHostException, InterruptedException, RBServerException, RBObjectNotFoundException {
        
        if (args.length < 3) {
            System.out.println("usage: TestRBLogFileLines <ip> <port> <password>");
            return;
        }

        InetAddress ip = InetAddress.getByName(args[0]);
        int port = Integer.parseInt(args[1]);
        String token = args[2];
        
        RBServer rbServer = new RBServer(ip, port, token); 
        System.out.println("Created rbServer.\n");
        
        RBLogFileLines bootLogLines = rbServer.getLogFileLines(RBLogFileLines.BOOTLOG, "*Provisioning*", 0, 10);
        String[] bootLines = bootLogLines.getLines();
        System.out.println("Boot log has: " + bootLogLines.getLineCount() + " lines that match *Provisioning*.");
        System.out.println("Printing out the first lines (max 10) that match *Provisioning*...");
        for (int i=0; i<bootLines.length; i++) {
            System.out.println("BootLine["+i+"]: " + bootLines[i]);
        }
        
        RBLogFileLines activityLogLines = rbServer.getLogFileLines(RBLogFileLines.ACTIVITIESLOG, "", 0, 20);
        System.out.println("Activities log has: " + bootLogLines.getLineCount() + " lines.");
        System.out.println("Printing out lines starting from 10, printing max 20 lines...");
        String[] actLines = activityLogLines.getLines();
        for (int i=0; i<actLines.length; i++) {
            System.out.println(actLines[i]);
        }
    }
} 
