#!/bin/sh
# -----------------------------------------------------------------
# Licensed Materials - Property of IBM
# 5724Q99
# (C) Copyright IBM Corp. 1998, 2006
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# -----------------------------------------------------------------
# 1_dbgw.sh

echo 'IBM Tivoli Provisioning Manager for OS Deployment database gateway'

SYSCONFIG_FILE="/etc/tpmfosdvars"

# source Rembo settings
. ${SYSCONFIG_FILE}

DBGW_BIN="${REMBO_DIR}/dbgw.jar"
DBGW_PID="${CHROOT_PREFIX}/var/run/dbgw.pid"
DBGW_PARAMS=" -cp ${DBGW_CLASSPATH} -Djdbc.drivers=${JDBC_DRIVER} com.rembo.dbgw.Dbgw"

case "$1" in
    start)
        echo "Starting Database gateway "
        ${JAVA_BIN} ${DBGW_PARAMS} &
	echo $! > ${DBGW_PID}
        ;;
    stop)
        echo "Stopping Database gateway "
        kill `cat ${DBGW_PID}`
        ;;
    *)
        echo "Usage: `basename $0` {start|stop}" >&2
        exit 64
        ;;
    esac
exit 0