#!/bin/sh
# -----------------------------------------------------------------
# Licensed Materials - Property of IBM
# 5724Q99
# (C) Copyright IBM Corp. 1998, 2006
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# -----------------------------------------------------------------
# 2_rembo.sh

echo 'IBM Tivoli Provisioning Manager for OS Deployment'

SYSCONFIG_FILE="/etc/tpmfosdvars"

# source Rembo settings
. ${SYSCONFIG_FILE}

REMBO_BIN="${REMBO_DIR}/rembo"
REMBO_PID="${CHROOT_PREFIX}/var/run/rembo.pid"
REMBO_CONF="${REMBO_DIR}/rembo.conf"

case "$1" in
    start)
        echo "Starting OS Deployment server "
        ${REMBO_BIN}
        ;;
    stop)
        echo "Stopping OS Deployment server "
        kill `cat ${REMBO_PID}`
        ;;
    *)
        echo "Usage: `basename $0` {start|stop}" >&2
        exit 64
        ;;
    esac
exit 0