#!/bin/sh
# -----------------------------------------------------------------
# Licensed Materials - Property of IBM
# 5724Q99
# (C) Copyright IBM Corp. 1998, 2006
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# -----------------------------------------------------------------
# 3_rbagent.sh

echo 'IBM Tivoli Provisioning Manager for OS Deployment agent'

SYSCONFIG_FILE="/etc/tpmfosdvars"

# source Rembo settings
. ${SYSCONFIG_FILE}

RBAGENT_BIN="${REMBO_DIR}/rbagent"
RBAGENT_PID="${CHROOT_PREFIX}/var/run/rbagent.pid"
RBAGENT_CONF="${REMBO_DIR}/rbagent.conf"
RBAGENT_PARAMS="-s 127.0.0.1:${REMBO_PWD}"

case "$1" in
    start)
        echo "Starting Web interface extension "
        ${RBAGENT_BIN} ${RBAGENT_PARAMS}
        ;;
    stop)
        echo "Stopping Web interface extension "
        kill `cat ${RBAGENT_PID}`
        ;;
    *)
        echo "Usage: `basename $0` {start|stop}" >&2
        exit 64
        ;;
    esac
exit 0